Next: 2.10.11 threadsdict Up: 2.10 Dictionary reference Previous: 2.10.9 systemdict Contents Index

##
2.10.10 threaddict

Each thread has its own threaddict, which is not shared with any other threads. threaddict is meant to be used for thread-specific definitions that would otherwise go in systemdict.

Table 2.12: threaddict summary
Input(s) Op/Proc/Var Output(s) | Description
- threaddict dict | Get threaddict.
- userdict dict | Get userdict.
- currenterror dict | Get currenterror.
- errordict dict | Get errordict.

- currenterror dict:
  Input(s):
    None.
  Output(s):
    dict:
      The currenterror dictionary. See Section 2.10.1 for details on currenterror.
  Errors(s):
    None.
  Description:
    Get currenterror.
  Example(s):

        onyx:0> currenterror 0 sprint
        -dict-
        onyx:0>

- errordict dict:
  Input(s):
    None.
  Output(s):
    dict:
      The errordict dictionary. See Section 2.10.3 for details on errordict.
  Errors(s):
    None.
  Description:
    Get errordict.
  Example(s):

        onyx:0> errordict 0 sprint
        -dict-
        onyx:0>

- threaddict dict:
  Input(s):
    None.
  Output(s):
    dict:
      The threaddict dictionary.
  Errors(s):
    None.
  Description:
    Get threaddict.
  Example(s):

        onyx:0> threaddict 0 sprint
        -dict-
        onyx:0>

- userdict dict:
  Input(s):
    None.
  Output(s):
    dict:
      The userdict dictionary. See Section 2.10.12 for details on userdict.
  Errors(s):
    None.
  Description:
    Get userdict.
  Example(s):

        onyx:0> userdict 1 sprint
        <>
        onyx:0>

Next: 2.10.11 threadsdict Up: 2.10 Dictionary reference Previous: 2.10.9 systemdict Contents Index